Introduction

UDG1000 Allen-Bradley PLC Input Driver
Introduction

The UDG1000 Allen-Bradley PLC Input Driver is used to collect real time data from Rockwell Automation Allen-Bradley PLC families:

MicroLogix 1100, MicroLogix 1400, SLC-5/05, PLC-5/11, PLC-5/20, PLC-5/20E, PLC-5/20C, PLC-5/26, PLC-5/30, PLC-5/40, PLC-5/40E, PLC-5/40L, PLC-5/40C, PLC-5/46C, PLC 5/60, PLC 5/60E, PLC 5/60L, PLC-5/60C,PLC 5/80, PLC 5/80E, PLC 5/80L, PLC-5/80C

Copyright© 2013 Hach, All rights reserved.


Pre-requisites

UDG1000 Allen-Bradley PLC Input Driver
Pre-requisites

1. PLC must be one of the following: MicroLogix 1100, MicroLogix 1400, SLC-5/05, PLC-5/11, PLC-5/20, PLC-5/20E, PLC-5/20C, PLC-5/26, PLC-5/30, PLC-5/40, PLC-5/40E, PLC-5/40L, PLC-5/40C, PLC-5/46C, PLC 5/60, PLC 5/60E, PLC 5/60L, PLC-5/60C,PLC 5/80, PLC 5/80E, PLC 5/80L, PLC-5/80C

2. PLC must reachable from PC running UDG1000 via an IP Address

Copyright© 2013 Hach, All rights reserved.


Setup

UDG1000 Allen-Bradley PLC Input Driver
Setup

1. Add a new collector. From the UDG1000 Main Menu go to Input>Collectors and click Add.

2. Select Allen-Bradley PLC from the list. Click Add.

3. Enter a name for the collector. Click Save.

4. Configure the collector.

Option | Description
PLC IP Address | Enter the IP address of your PLC in X.X.X.X format. Contact your PLC administrator if you do not know the address (Example: 10.128.131.33)
CPU Type | Specify which type of CPU is your PLC running. Refer to Appending A for suggestions on how to identify your CPU Type.
Driver Type | Specify what type of communication driver will be used by UDG1000 to connect to your PLC. Refer to Appending A for suggestions on how to identify your Driver Type.
Connection Timeout | Use you configure number of milliseconds you want UDG1000 to wait before communication timeout when attempting to talk to your PLC

5. Click Save.

6. From the UDG1000 Main Menu go to Input>Parameters

7. This driver does not support auto detection of parameters, and therefore you have to specify your PLC tag manually using the PLC tag entry field

8. Refer to your specific PLC program to determine tag.
Contact your PLC administrator for this information.

9. Data from tag will start being collected by UDG1000 once you add it to the right panel using the [image] button. Refer to Appendix B for help with identifying your PLC Tags.
Example:

Copyright© 2013 Hach, All rights reserved.


Appendix A: Determining your CPU Type and Driver Type

UDG1000 Allen-Bradley PLC Input Driver
Appendix A: Determining your CPU Type and Driver Type

Allen-Bradley PLC | CPU Type | Driver Type
PLC-5E Series (Direct Ethernet) | PLC | ENET
PLC-5 w/ 1785 Side Car | PLC | ENETIP
PLC-5 (CH 0) via 1761-NET ENI (Series B or later) | PLC | ENETIP
PLC-5 (CH 0) via 1761-NET ENI (Series A or later) | PLC | NETENI
SLC 5/05 (Direct Ethernet) | SLC | ENET
SLC 5/0x (CH 0) via 1761 NET ENI (Series B) | SLC | ENETIP
SLC 5/0x (CH 0) via 1761 NET ENI (Series A) | SLC | NETENI
MicroLogix 1100 FRN 4.0 or Later (Direct Ethernet) | MLC | ENETIP
MicroLogix 1100 FRN 3.0 or Earlier (Direct Ethernet) | MLC1100 | ENETIP
MicroLogix 1000, 1100, 1200, 1500 (CH 0) via 1761 NET ENI (Series B or later) | MLC | ENETIP
MicroLogix 1000, 1100, 1200, 1500 (CH 0) via 1761 NET ENI (Series A or later) | MLC | NETENI

Copyright© 2013 Hach, All rights reserved.


Appendix B: Determining your PLC Tag

UDG1000 Allen-Bradley PLC Input Driver
Appendix B: Determining your PLC Tag

Below is an example program running on SLC 5/05 PLC, as visualized in RsLogix 500 software.

PLC tags available are:

· F8:0

· S:42

· F8:1

· F8:2

The following tag syntax is supported for SLC / MicroLogix CPU’s:

DATA TABLE | SYNTAX | EXAMPLE | DATA TYPE / NET TYPE
INPUT (WORD) | I:[MODULE].[ELEMENT] | I:0.0 | ATOMIC.INTEGER (System.Int16)
INPUT (BIT) | I:[MODULE].[ELEMENT].<0~15> | I:0.0.0 or I:0.0/0 | ATOMIC.BOOLEAN (System.Boolean)
OUTPUT (WORD) | O:[MODULE].[ELEMENT] | O:0.0 | ATOMIC.INTEGER (System.Int16)
OUTPUT (BIT) | O:[MODULE].[ELEMENT].<0~15> | O:0.0.0 or 0:0.0/0 | ATOMIC.BOOLEAN (System. Int16)
STATUS (WORD) | S:[WORD] | S:0 | ATOMIC.INTEGER (System.Int16)
STATUS (BIT) | S:[WORD].<0~15> | S:0.0 or S:0/0 | ATOMIC.BOOLEAN (System.Boolean)
BINARY (WORD) | B[FILENUM]:[ELEMENT] | B3:0 | ATOMIC.INTEGER (System.Int16)
BINARY (BIT) | B[FILENUM]:[ELEMENT].<0~15> | B3:0.0 or B3:0/0 | ATOMIC.BOOLEAN (System.Boolean)
INTEGER (WORD) | N[FILENUM]:[ELEMENT] | N7:0 | ATOMIC.INTEGER (System.Int16)
INTEGER (BIT) | N[FILENUM]:[ELEMENT].<0~15> | N7:0.0 or N7:0/0 | ATOMIC.BOOLEAN (System.Boolean)
FLOAT (FLOAT) | F[FILENUM]:[ELEMENT] | F8:0 | ATOMIC.FLOAT (System.Single)
LONG (LONG) MicroLogix Only | L[FILENUM]:[ELEMENT] | L10:0 | ATOMIC.LONG (System.Int32)

The following tag syntax is supported for PLC-5 CPU’s :

DATA TABLE | SYNTAX | EXAMPLE | DATA TYPE / NET TYPE
INPUT (WORD) | I:[MODULE] | I:0 ~ I:77 (octal) | ATOMIC.INTEGER (System.Int16)
INPUT (BIT) | I:[MODULE].<0~17> | I:0.0 or I:0/0 (octal) | ATOMIC.BOOLEAN (System.Boolean)
OUTPUT (WORD) | O:[MODULE] | O:0 ~ 0:77 (octal) | ATOMIC.INTEGER (System.Int16)
OUTPUT (BIT) | O:[MODULE].<0~17> | O:0.0 or O:0/0 (octal) | ATOMIC.BOOLEAN (System. Int16)
STATUS (WORD) | S:[WORD] | S:0 | ATOMIC.INTEGER (System.Int16)
STATUS (BIT) | S:[WORD].<0~15> | S:0.0 or S:0/0 | ATOMIC.BOOLEAN (System.Boolean)
BINARY (WORD) | B[FILENUM]:[ELEMENT] | B3:0 | ATOMIC.INTEGER(System.Int16)
BINARY (BIT) | B[FILENUM]:[ELEMENT].<0~15> | B3:0.0 or B3:0/0 | ATOMIC.BOOLEAN(System.Boolean)
INTEGER (WORD) | N[FILENUM]:[ELEMENT] | N7:0 | ATOMIC.INTEGER (System.Int16)
INTEGER (BIT) | N[FILENUM]:[ELEMENT].<0~15> | N7:0.0 or N7:0/0 | ATOMIC.BOOLEAN (System.Boolean)
FLOAT (FLOAT) | F[FILENUM]:[ELEMENT] | F8:0 | ATOMIC.FLOAT (System.Single)
STRING (STRING) | ST:[FILENUM]:[ELEMENT] | ST9:0 | ATOMIC.STRING (System.String)

Copyright© 2013 Hach, All rights reserved.